Programmatūras izstrādes atbalsta paketes DEBIAN 10

Programmatūras izstrādes atbalsta paketes DEBIAN 10

Programmatūras izstrādes atbalsta paketes DEBIAN 10

Šis ieraksts ir turpinājums (trešā daļa) no konsultācijas veltīta DEBIJAS GNU / Linux Distro, versija 10 (Būts), kas kalpo par pamatu daudziem citiem, piemēram, MX-Linux 19 (neglīts pīlēns).

Šajā trešajā daļā mēs parādīsim būtiskas paketes (lietojumprogrammas) ieteicams nodrošināt nepieciešamo atbalstīt pamata par izstrāde, testēšana un izpilde dažu programmatūra (lietojumprogrammas) par mūsu skaistajiem un lieliskajiem Distros DEBIAN 10 un MX-Linux 19.

Pēc instalēšanas atjauniniet un optimizējiet MX-Linux 19.0 un DEBIAN 10.2

Pēc instalēšanas atjauniniet un optimizējiet MX-Linux 19.0 un DEBIAN 10.2

Iepriekšējie 2 šīs sērijas ieraksti ir:

  • Pēc instalēšanas atjauniniet un optimizējiet MX-Linux 19.0 un DEBIAN 10.2 (Skatīt ierakstu)
  • 10. DEBIĀNS: Kādas papildu paketes ir noderīgas pēc instalēšanas? (Skatīt ierakstu)
10. DEBIĀNS: Kādas papildu paketes ir noderīgas pēc instalēšanas?

10. DEBIĀNS: Kādas papildu paketes ir noderīgas pēc instalēšanas?

Atcerieties un paturiet prātā, ka:

"Atcerieties, ka šeit palaistās un instalējamās darbības un pakotnes ir tieši tādas, "paketes ieteicams" un katram ir jāpalaiž un jāuzstāda visi vai daži no tiem, kāpēc viņi tā ir nepieciešams vai īstermiņā vai vidējā termiņā, lai tos zinātu un izmantotu, liekot tiem jau darboties vai instalēt.

Paturiet prātā, ka šīs darbības un / vai paketes bija iepriekš pārbaudīts abos Distros, un nelūdziet atinstalēt tajās pēc noklusējuma instalētās pakotnes. Tālāk, tie nepalielina atmiņas vai procesora patēriņu tā kā tie pēc noklusējuma neielādē atmiņā procesus vai dēmonus (pakalpojumus). Lai iepriekš uzzinātu, kam tiek izmantots katrs iepakojums, noklikšķiniet uz šeit."

Atjaunināt MX-Linux un DEBIAN: Saturs

Programmatūras izstrādes atbalsta paketes

Java lietojumprogrammu atbalsts

apt install browser-plugin-freshplayer-pepperflash default-jdk icedtea-netx

Objetivo: Instalējiet pamata atbalstu savietojamībai ar Java lietojumprogrammām.

Atbalsts QT5 lietojumprogrammām

apt install libqt5core5a qt5-default qt5-qmake qtbase5-dev-tools qttools5-dev-tools

Objetivo: Instalējiet pamata atbalstu savietojamībai ar lietojumprogrammām, kas izveidotas, izmantojot QT5.

Atbalsts Digital Mining lietojumprogrammām

apt install autoconf automake autotools-dev build-essential byobu g++ gcc gcc-7 g++-7 git git-core libboost-dev libboost-all-dev libcrypto++-dev libcurl4 libdb-dev libdb++-dev libevent-dev libgmp-dev libgmp3-dev libhwloc-dev libjansson-dev libmicrohttpd-dev libminiupnpc-dev libncurses5-dev libprotobuf-dev libqrencode-dev libqt5gui5 libqtcore4 libqt5dbus5 libstdc++6 libssl-dev libusb-1.0-0-dev libtool libudev-dev make ocl-icd-opencl-dev openssl pkg-config protobuf-compiler qrencode qttools5-dev qttools5-dev-tools

Objetivo: Instalējiet pamata lietojumprogrammu atbalstu, draiverus un bibliotēkas, kas nepieciešamas Digital Mining lietojumprogrammu instalēšanai un pārvaldībai.

apt install libdb++-dev libdb5.3++ libdb5.3++-dev

Objetivo: Instalējiet pamata bibliotēkas atbalstu programmām, kas izmanto Berkeley v5.3 datu bāzes bibliotēku, ko plaši izmanto mūsdienu Digital Mining lietojumprogrammas, lai apkopotu un / vai palaistu.

Tīmekļa lietojumprogrammu atbalsts

Apache

apt install apache2

Objetivo: Instalējiet pamata atbalstu tīmekļa lietojumprogrammām, kas optimizētas vai saderīgas ar Apache2.

Nginx

apt install nginx

Objetivo: Instalējiet pamata atbalstu tīmekļa lietojumprogrammām, kas optimizētas vai saderīgas ar Nginx.

PostgreSQL

apt install postgresql

Objetivo: Instalējiet pamata komandu un funkciju atbalstu, lai pārvaldītu uz Postgresql balstītas datubāzes.

apt install pgadmin3 y phppgadmin

Objetivo: Instalējiet pamata lietojumprogrammu atbalstu Postgresql bāzes datu bāzes pārvaldībai.

MySQL

apt install mysql-server mysql-client

Objetivo: Instalējiet pamata komandu un funkciju atbalstu uz MySQL balstītu datu bāzu pārvaldībai.

apt install phpmyadmin y mysql-workbench

Objetivo: Instalējiet pamata lietojumprogrammu atbalstu uz MySQL balstītu datu bāzu pārvaldībai.

MariaDB

apt install mariadb-server mariadb-client

Objetivo: Instalējiet pamata komandu un funkciju atbalstu, lai pārvaldītu MariaDB bāzes datu bāzes.

PHP

apt install php

Objetivo: Instalējiet pamata komandu un funkciju atbalstu, lai apstrādātu PHP balstītas lietojumprogrammas.

apt install php-cas php-cgi php-curl php-gd php-json php-mbstring php-mysql php-xml php-apcu php-cli php-dev php-imap php-ldap php-xmlrpc php-intl php-pgsql php-sqlite3 php-zip phpqrcode

Objetivo: Instalējiet vietējo bibliotēku pamata atbalstu PHP balstītu lietojumprogrammu apstrādei.

apt install libmagic-dev libapache2-mod-php libcurl4-gnutls-dev

Objetivo: Instalējiet pamata vietējās bibliotēkas atbalstu PHP balstītu lietojumprogrammu apstrādei.

PERL

apt install perl

Objetivo: Instalējiet pamata komandu un funkciju atbalstu, lai apstrādātu PERL balstītas lietojumprogrammas.

apt install libapache2-mod-perl2 y perlbrew

Objetivo: Instalējiet pamata bibliotēkas atbalstu, lai apstrādātu PERL balstītas lietojumprogrammas.

Pitons

apt install python-all-dev python-pip

Objetivo: Instalējiet pamata komandu un funkciju atbalstu, lai apstrādātu Python balstītas lietojumprogrammas.

apt install python3-setuptools python3-pyqt5 python3-pip

Objetivo: Instalējiet pamata komandu un funkciju atbalstu, lai apstrādātu Python3 balstītas lietojumprogrammas.

Vispārējs attēls raksta secinājumiem

Secinājums

Mēs to ceram šis "noderīga maz ziņa" par to, kuras būtiskas paketes ir nepieciešamas, lai nodrošinātu nepieciešamo atbalstu pareizai  «instalación y gestión» programmatūras attīstību, par Distros «DEBIAN y MX-Linux», ir liela interese un lietderība kopumā «Comunidad de Software Libre y Código Abierto» un ir liels ieguldījums brīnišķīgās, gigantiskās un pieaugošās ekosistēmas izplatībā «GNU/Linux».

Lai iegūtu vairāk informācijas, ne vienmēr vilcinieties ar kādu no tiem Tiešsaistes bibliotēkaOpenLibra y JedIT Lasīt grāmatas (PDF) par šo tēmu vai citiem zināšanu jomas. Pagaidām, ja jums tas patika «publicación», nepārtrauciet to kopīgot ar citiem, jūsu Izlases vietnes, kanāli, grupas vai kopienas sociālo tīklu, vēlams bezmaksas un atvērtu kā Mastodontsvai droša un privāta Telegramma.

Vai vienkārši apmeklējiet mūsu mājas lapu vietnē FromLinux vai pievienojieties oficiālajam kanālam Telegramma no DesdeLinux lasīt un balsot par šo vai citām interesantām publikācijām vietnē «Software Libre», «Código Abierto», «GNU/Linux» un citas tēmas, kas saistītas ar «Informática y la Computación», Un «Actualidad tecnológica».


Raksta saturs atbilst mūsu principiem redakcijas ētika. Lai ziņotu par kļūdu, noklikšķiniet uz šeit.

2 komentāri, atstājiet savus

Atstājiet savu komentāru

Jūsu e-pasta adrese netiks publicēta. Obligātie lauki ir atzīmēti ar *

*

*

  1. Atbildīgais par datiem: Migels Ángels Gatóns
  2. Datu mērķis: SPAM kontrole, komentāru pārvaldība.
  3. Legitimācija: jūsu piekrišana
  4. Datu paziņošana: Dati netiks paziņoti trešām personām, izņemot juridiskus pienākumus.
  5. Datu glabāšana: datu bāze, ko mitina Occentus Networks (ES)
  6. Tiesības: jebkurā laikā varat ierobežot, atjaunot un dzēst savu informāciju.

  1.   Tvikers teica

    Izlabo, ja kļūdos, bet .. debianā viņi nepazaudēja phpmyadmin no krātuvēm?
    un, lai instalētu php, jums nav jānorāda (piemēram) php7.3 vai php7.3-curl

  2.   Linux Post instalēšana teica

    Sveiciens Twikzer! Paldies par komentāru. Protams, phpmyadmin nav DEBIAN 10 (Stabils) krātuvēs, bet DEBIAN 11 (Testing) krātuvēs tas ir, manuprāt, ka kādā brīdī viņi to iekļaus tāpat kā citas paketes stabilajās, bet jūs varat vai varat to izlaist, bez Tomēr tāpēc to atstāju tur. Attiecībā uz otro tas nav nepieciešams, jo pašreizējās repozitorija versijas sauc par to vispārīgo nosaukumu.